#include "KMotionDef.h"
#include "C:\CNC_George_CFiles\KFlop\George_Def.c"
#include "C:\CNC_George_CFiles\KFlop\SimpleHomeIndexFunction.c"
//#include "C:\KMotion5.3.7\C Programs\KflopToKMotionCNCFunctions.c"
#include "C:\KMotion435f\C Programs\KflopToKMotionCNCFunctions.c"

int MoveXY(float x, float y, float Speed);
int MoveZ(float z, float Speed);

main()
{
	

	// - Rapid to Z home
	if (MoveZ(0.0,MED_SPEED_Z)) return 1;
	
	// - Move to safe X,Y position
	if (MoveXY(TOOL_POST_POS_X,TOOL_POST_POS_Y,MED_SPEED_XY)) return 1;
	
}

// Move Axis XY at specified Speed and wait until complete
// return 0 = success, 1 if axis disabled
int MoveXY(float x, float y, float Speed)
{
	MoveAtVel(X_AXIS, x * CNT_PER_MM_X, Speed * CNT_PER_MM_X);
	MoveAtVel(Y_AXIS, y * CNT_PER_MM_Y, Speed * CNT_PER_MM_Y);
	
	//printf("X_Pos %f\nY_Pos %f\n\n", x,y);
	//printf("X_Counts %f\nY_Counts %f\n\n", CNT_PER_MM_X,CNT_PER_MM_Y);
	
	while (!CheckDone(X_AXIS) || !CheckDone(Y_AXIS))
	{
		if (!chan[X_AXIS].Enable)
		{
			printf("Error X Axis Disabled\n");
			MsgBox("Error X Axis Disabled\n", MB_ICONHAND | MB_OK);
			return 1;
		}
		if (!chan[Y_AXIS].Enable)
		{
			printf("Error Y Axis Disabled\n");
			MsgBox("Error Y Axis Disabled\n", MB_ICONHAND | MB_OK);
			return 1;
		}
	}
	return 0;  //success
}

// Move Axis Z at specified Speed and wait until complete
// return 0 = success, 1 if axis disabled
int MoveZ(float z, float Speed)
{
	MoveAtVel(Z_AXIS, z * CNT_PER_MM_Z, Speed * CNT_PER_MM_Z);
	
	while (!CheckDone(Z_AXIS))
	{
		if (!chan[Z_AXIS].Enable)
		{
			printf("Error Z Axis Disabled\n");
			MsgBox("Error Z Axis Disabled\n", MB_ICONHAND | MB_OK);
			return 1;
		}
	}
	return 0;  //success
}
