
//Axes Definitions
#define X_AXIS 4
#define Y_AXIS 5
#define Z_AXIS 6
#define A_AXIS 7

#define X_POS_LIM_SWITCH 1024
#define X_NEG_LIM_SWITCH 1025

#define Y_NEG_LIM_SWITCH 1026

#define Z_POS_LIM_SWITCH 1027


#define SLOW_SPEED_XY   30          //mm/sec
#define MED_SPEED_XY    150.0       //mm/sec
#define SLOW_SPEED_Z    2           //mm/sec
#define MED_SPEED_Z     20.0        //mm/sec

#define CNT_PER_MM_X 2.50562992           //X Counts per mm distance factor
#define CNT_PER_MM_Y 2.50488189           //Y Counts per mm distance factor
#define CNT_PER_MM_Z 9.8511811           //Z Counts per mm distance factor
#define CNT_PER_MM_A 0.83333524     //A Counts per deg distance factor  

//Touchplate Z Height Setter
#define TOUCHPLATE_IO 1031
#define TOOL_POST_POS_X 997.5
#define TOOL_POST_POS_Y 972.5

//Toolchange settings
#define TOOL_CHANGE_SAFE_POS_X 1050 //Counts??
#define TOOL_CHANGE_SAFE_POS_Y 860  //Counts??

//--------- Spindle IO bits

//IO 49 does not work. Stays closed.
#define CLAW_EJECT 52       // IO bit to eject tool from spindle (KONNECT OUTPUT 0)
#define SPINDLE_CLEAN 55    // IO bit to blow air out of spindle taper (KONNECT OUTPUT 2)
#define CASE_PRESSURE 54    // IO bit to apply 10 psi spindle case pressure (KONNECT OUTPUT 1)
#define HOME_LED 53			// Spare bit to relay Aux

#define PRESSURE_ON 1034    // IO bit to sense whether air PRESSURE > 90 psi (KONNECT INPUT 8)
#define CLAMP_TIME 1.0    			// seconds to wait for the clamp/unclamp

#define SPIN_CW 60              //Turn Spindle Clockwise
#define SPIN_CCW 61             //Turn Spindle Counterclockwise

#define SPIN_PWM_HIGH 62   // This output drives Cap high for spindle PWM
#define SPIN_PWM_LOW 63    // This output drives Cap low for Spindle PWM

//#define CLAMP_TIME 1.0        // seconds to wait for the clamp/unclamp
//#define BLAST_TIME 1.0        // seconds to wait for the taper blast

//Tool Height Setter
#define TOOL_HEIGHT_PLATE 1033        //bit to read tool height plate (KONNECT INPUT 31)
#define TOOL_HEIGHT_PLATE_LIMIT 1032            // IO bit for Z axis Negative limit (safety for tool height setter)(KONNECT INPUT 25)
#define TOOL_HEIGHT_PLATE_X 996.56
#define TOOL_HEIGHT_PLATE_Y 973.36

//Spindle PWM Paramaters
#define C 0.0001f // 100uF
#define R 100f	// 100 ohms
#define Vcc 13.34f // supply voltage
#define RPM_FACTOR 2400.0 // RPM for full duty cycle (max analog out)

//Persisists Used
#define TMP 10 						//Which spare persist to use for board coms. Persists from TEP +10 used.
#define Persist_SpindleSpeed 1		//Is used to store the desired spindle speed
#define Persist_SpindleOn 2			//Is used to store the state of the spindle (0 for off and 1 for on)

#define LAST_TOOL_VAR 8   	//Is used to store ATC last known tool
#define TOOL_VAR 9        	//Is used to store ATC current tool

// Thermal Switch Defines
#define THERMAL_SWITCH 1040
#define SAFE_Z_HEIGHT 0



