#include "KMotionDef.h"
#include "C:\CNC_George_CFiles\KFlop\George_Def.c"
#include "SimpleHomeIndexFunction.c" 



/// Home machine
int HomeGeorge()
{
	persist.UserData[Persist_SpindleOn]=0; 	//Deactivate Spindle
	ClearBit(SPIN_CCW);		//Clear CCW pin.
	ClearBit(SPIN_CW);		//Clear CW pin.	

	Delay_sec(1);

		
	SetBit(HOME_LED);
	int result;
	
	// HOME Z
	result = SimpleHomeIndexFunction(Z_AXIS,  // axis number to home
			   100.0,  				// velocity to move toward home (Includes Direction + or -)
			   //1,      			// direction to move toward home (+1 or -1)
			   Z_POS_LIM_SWITCH , 	// limit bit number to watch for
			   0,					// limit polarity to wait for (1 or 0)
               2,					// speed to move while searching for index (No Direction)
			   Z_POS_LIM_SWITCH ,	// index bit number to watch for (use -1 for none)
			   1, 					// index polarity to wait for (1 or 0)
			   15,					// amount to move inside limits
			   250,					// speed to move to final offset (No Direction)
			   10000);				// acceleration to move to final offset
			   
	if (result==0)
	{
		printf("Home Z succeeded\n");
	}
	else
	{
		printf("Home Z failed\n");
		return 0;
	}
	// HOME X
	

	float SoftLim_X = ch4->SoftLimitNeg;	//Capture X & Y Negative Soft Limit Values
	ch4->SoftLimitNeg = -1e+09;	//Disable X soft limits by setting to large -ve number. 
	
	result = SimpleHomeIndexFunction(X_AXIS,  // axis number to home
			   -100.0,   			// velocity to move toward home (Includeds direction + or -) 
			   //-1,      			// direction to move toward home (+1 or -1)
			   X_NEG_LIM_SWITCH, 	// limit bit number to watch for
			   1,					// limit polarity to wait for (1 or 0)
               2,	    			// speed to move while searching for index (No Direction)
			   X_NEG_LIM_SWITCH,	// index bit number to watch for (use -1 for none)
			   0, 					// index polarity to wait for (1 or 0)
			   103,					// amount to move inside limits
			   250,					// speed to move to final offset (No Direction)
			   5000);				// acceleration to move to final offset
			   
	ch4->SoftLimitNeg = SoftLim_X;	//Reset X soft limit to correct value
	if (result==0)
	{
		//Need to Compensate for SnapAmp sine wave 0 reset.
		
		//Need to zero Global G92???
		printf("Home X succeded\n");
	}
	else
	{
		printf("Home X failed\n");
		return 0;
	}
	
	// HOME Y
		
	
	float SoftLim_Y = ch5->SoftLimitNeg;	//Capture Y Negative Soft Limit Values
	ch5->SoftLimitNeg = -1e+09;	//Disable X and Y soft limits by setting to large -ve number. 
	
	
	result = SimpleHomeIndexFunction(Y_AXIS,  // axis number to home
			   -100.0,   			// velocity to move toward home (Includeds direction + or -)
			   //-1,      			// direction to move toward home (+1 or -1)
			   Y_NEG_LIM_SWITCH , 	// limit bit number to watch for
			   1,					// limit polarity to wait for (1 or 0)
               2,	    			// speed to move while searching for index (No Direction)
			   Y_NEG_LIM_SWITCH ,	// index bit number to watch for  (use -1 for none)
			   0, 					// index polarity to wait for (1 or 0)
			   219,				// amount to move inside limits
			   250,					// speed to move to final offset (No Direction)
			   5000);				// acceleration to move to final offset
			   
	
	ch5->SoftLimitNeg = SoftLim_Y;	//Reset Y soft limit to correct value
			   
	if (result==0)
	{
		//Need to Compensate for SnapAmp sine wave 0 reset.
		//Move(5,5);
		//Need to zero Global G92
		printf("Home Y succeded\n");
	}
	else
	{
		printf("Home Y failed\n");
		return 0 ;
	}
	ClearBit(HOME_LED);
	return 1;
}
//// End Home machine
	

